Update unit

View as Markdown
Update an existing unit.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unitIdstringRequired

Request

Unit details to update.
namestringRequired3-50 characters
Updated name of the unit.
symbolstringRequired

Short symbol or abbreviation (e.g., “m”, “kg”, “°C”, “MB”).

dimension_idstringRequired
The ID of the dimension that this Unit belongs to.
system_typeenumRequired
The measurement system the unit belongs to.
is_base_unitbooleanOptional

True if this is the base (reference) unit within its system.

to_base_factordoubleOptional

Multiplicative factor to convert value → base unit (set to 1 for the base unit).

offsetdoubleOptional

Additive offset applied after scaling with to_base_factor to convert value → base unit.

conversion_formulastringOptional

A human-readable (SymPy) formula to convert value → base unit.

conversion_scriptstringOptional

Source code or script to convert value → base unit.

requires_temporal_contextbooleanOptional
Whether the conversion depends on time.
requires_sequence_contextbooleanOptional
Whether the conversion depends on a sequence index.
is_default_for_systembooleanOptional
Indicates that this is the default unit to use when the system is requested without a unit.
descriptionstringOptional
Description of the unit.
external_reference_keystringOptional

External or standards-body identifier for the unit.

external_reference_sourcestringOptional

Source authority of the external_reference_key.

Response

Unit successfully updated.
idstring
Unique ID of the unit.
accountobject
namestring3-50 characters
Name of the unit.
created_atdatetime
Timestamp when the unit was created.
dimensionobject
symbolstring

Short symbol or abbreviation (e.g., “m”, “kg”, “°C”, “MB”).

is_base_unitboolean

True if this is the base (reference) unit within its system.

to_base_factordouble

Multiplicative factor to convert value → base unit (set to 1 for the base unit).

offsetdouble

Additive offset applied after scaling with to_base_factor to convert value → base unit.

conversion_formulastring

A human-readable (SymPy) formula to convert value → base unit.

conversion_scriptstring

Source code or script to convert value → base unit.

requires_temporal_contextboolean
Whether the conversion depends on time.
requires_sequence_contextboolean
Whether the conversion depends on a sequence index.
systemenum
The measurement system the unit belongs to.
is_default_for_systemboolean
Indicates that this is the default unit to use when the system is requested without a unit.
descriptionstring
Description of the unit.
external_reference_keystring

External or standards-body identifier for the unit.

external_reference_sourcestring

Source authority of the external_reference_key.

created_byobject or null
Reference of the user who created the unit, if known.
updated_atdatetime
Timestamp when the unit was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error